namespace KABC

# namespace KABC |
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- class Address
- class Resource
- class Ticket
- class AddressBook
- class Addressee
- class AddresseeItem
- class AddresseeDialog
- class DistributionListManager
- class DistributionList
- class DistributionListWatcher
- class EmailSelectDialog
- class DistributionListEditor
- class Format
- class Geo
- class PhoneNumber
- class ResourceFile
- class SimpleFormat
- class StdAddressBook
- class TimeZone
- class VCardFormat

#### Public Methods

- QDataStream & operator<< ( QDataStream &, const Address & )
- QDataStream & operator>> ( QDataStream &, Address & )
- QDataStream & operator<< ( QDataStream &, const AddressBook & )
- QDataStream & operator>> ( QDataStream &, AddressBook & )
- QDataStream & operator<< ( QDataStream &, const Addressee & )
- QDataStream & operator>> ( QDataStream &, Addressee & )
- QDataStream & operator<< ( QDataStream &, const Geo & )
- QDataStream & operator>> ( QDataStream &, Geo & )
- QDataStream & operator<< ( QDataStream &, const PhoneNumber & )
- QDataStream & operator>> ( QDataStream &, PhoneNumber & )
- QDataStream & operator<< ( QDataStream &, const TimeZone & )
- QDataStream & operator>> ( QDataStream &, TimeZone & )

#### Public Members

- Forward ErrorHandler
- Forward FormatPlugin
- Forward ResourceConfigWidget
- Forward VCardFormatImpl

## Detailed Description

Address (class) | ### Address

This class represents information about a postal address.

QDataStream & operator<< ( QDataStream &, const Address & ) | ### operator<<

QDataStream & operator>> ( QDataStream &, Address & ) | ### operator>>

Resource (class) | ### Resource

Ticket (class) | ### Ticket

This class is used as helper class for saving address book.

See also: requestSaveTicket(), save().

AddressBook (class) | ### AddressBook

This class provides access to a collection of address book entries.

QDataStream & operator<< ( QDataStream &, const AddressBook & ) | ### operator<<

QDataStream & operator>> ( QDataStream &, AddressBook & ) | ### operator>>

Addressee (class) | ### Addressee

This class represents an entry in the address book.

The data of this class is implicitly shared. You can pass this class by value.

If you need the name of a field for presenting it to the user you should use the functions ending in Label(). They return a translated string which can be used as label for the corresponding field.

About the name fields:

givenName() is the first name and familyName() the last name. In some countries the family name comes first, that's the reason for the naming. formattedName() is the full name with the correct formatting. It is used as an override, when the correct formatting can't be generated from the other name fields automatically.

realName() returns a fully formatted name(). It uses formattedName, if set, otherwise it constucts the name from the name fields. As fallback, if nothing else is set it uses name().

name() is the NAME type of RFC2426. It can be used as internal name for the data enty, but shouldn't be used for displaying the data to the user.

QDataStream & operator<< ( QDataStream &, const Addressee & ) | ### operator<<

QDataStream & operator>> ( QDataStream &, Addressee & ) | ### operator>>

AddresseeItem (class) | ### AddresseeItem

AddresseeDialog (class) | ### AddresseeDialog

This class provides a dialog for selecting entries from the standard KDE address book. Use the getAddressee() function to open a modal dialog, returning an address book entry.

In the dialog you can select an entry from the list with the mouse or type in the first letters of the name or email address you are searching for. The entry matching best is automatically selected. Use double click, pressing return or pressing the ok button to return the selected addressee to the application.

DistributionListManager (class) | ### DistributionListManager

This class represents a collection of distribution lists, which are associated with a given address book.

DistributionList (class) | ### DistributionList

This class represents a list of email addresses. Each email address is associated with an address book entry. If the address book entry changes, the entry in the distribution list is automatically updated.

DistributionListWatcher (class) | ### DistributionListWatcher

This class provides a changed() signal that i emitted when the distribution lists has changed in some way.

Exapmle:

      KABC::DistributionListWatcher *watchdog = KABC::DistributionListWatcher::self()

      connect( watchdog, SIGNAL( changed() ), SLOT( doSomething() ) );

EmailSelectDialog (class) | ### EmailSelectDialog

DistributionListEditor (class) | ### DistributionListEditor

@obsolete

Format (class) | ### Format

This class provides an abstract interface for address book file formats.

Geo (class) | ### Geo

This class represents a geographic position.

QDataStream & operator<< ( QDataStream &, const Geo & ) | ### operator<<

QDataStream & operator>> ( QDataStream &, Geo & ) | ### operator>>

PhoneNumber (class) | ### PhoneNumber

This class provides phone number information. A phone number is classified by a type. The following types are available, it's possible to use multiple types Types for a number by combining them through a logical or.

QDataStream & operator<< ( QDataStream &, const PhoneNumber & ) | ### operator<<

QDataStream & operator>> ( QDataStream &, PhoneNumber & ) | ### operator>>

ResourceFile (class) | ### ResourceFile

SimpleFormat (class) | ### SimpleFormat

StdAddressBook (class) | ### StdAddressBook

Standard KDE address book

This class provides access to the standard KDE address book shared by all applications.

It's implemented as a singleton. Use self() to get the address book object.

Example:

      KABC::AddressBook *ab = KABC::StdAddressBook::self();

      if ( !ab->load() ) {
        // error
      }

      KABC::AddressBook::Iterator it;
      for ( it = ab->begin(); it != ab->end(); ++it ) {
        kdDebug() << "UID=" << (*it).uid() << endl;

        // do some other stuff
      }

      KABC::StdAddressBook::save();

TimeZone (class) | ### TimeZone

This class stores information about a time zone.

QDataStream & operator<< ( QDataStream &, const TimeZone & ) | ### operator<<

QDataStream & operator>> ( QDataStream &, TimeZone & ) | ### operator>>

VCardFormat (class) | ### VCardFormat

This class implements the file format interface of address book entries for the vCard format.

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:38:02 2003, using kdoc 2.0a54.